import { jsx } from "react/jsx-runtime";
import { VaultIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Vault = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Vault", ...props, children: /* @__PURE__ */ jsx(VaultIcon, { weight: variant }) });
  }
);
Vault.displayName = "Vault";
Object.assign(Vault, { isGdsIcon: true });
export {
  Vault
};
